//
// Created by Christopher Hamer on 19/06/2024.
//

#include "../../include/sum.h"


void SumAccumulator::add(int value) {
    std::lock_guard<std::mutex> lock(mtx);
    sum += value;
}

long long SumAccumulator::getTotal() {
    std::lock_guard<std::mutex> lock(mtx);
    return sum;
}
